Bug 38788 - NoAnswer exception in adconnector/admember/check_dcmaster_srv_rec
NoAnswer exception in adconnector/admember/check_dcmaster_srv_rec
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: AD Connector
UCS 4.0
Other Linux
: P5 normal (vote)
: UCS 4.2-0-errata
Assigned To: Arvid Requate
Stefan Gohmann
:
Depends on:
Blocks: 45578
  Show dependency treegraph
 
Reported: 2015-06-29 17:20 CEST by Florian Best
Modified: 2017-10-23 14:46 CEST (History)
2 users (show)

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 6: Setup Problem: Issue for the setup process
Who will be affected by this bug?: 2: Will only affect a few installed domains
How will those affected feel about the bug?: 5: Blocking further progress on the daily work
User Pain: 0.343
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number: 2017040821000087, 2017022121000485, 2017020821000563, 2017092721000096
Bug group (optional): Error handling, External feedback
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Florian Best univentionstaff 2015-06-29 17:20:43 CEST
Execution of command 'adconnector/admember/check_dcmaster_srv_rec' has failed:

Traceback (most recent call last):
  File "%PY2.7%/univention/management/console/base.py", line 282, in execute
    function(self, request)
  File "%PY2.7%/univention/management/console/modules/decorators.py", line 316, in _response
    result = _multi_response(self, request)
  File "%PY2.7%/univention/management/console/modules/decorators.py", line 460, in _response
    return list(function(self, iterator, *nones))
  File "%PY2.7%/univention/management/console/modules/decorators.py", line 282, in _fake_func
    yield function(self, *args)
  File "%PY2.7%/univention/management/console/modules/adconnector/__init__.py", line 574, in check_dcmaster_srv_rec
    result = self._check_dcmaster_srv_rec()
  File "%PY2.7%/univention/management/console/modules/adconnector/__init__.py", line 567, in _check_dcmaster_srv_rec
    if admember.get_domaincontroller_srv_record(ucr.get('domainname')):
  File "%PY2.7%/univention/lib/admember.py", line 1108, in get_domaincontroller_srv_record
    response = resolver.query('_domaincontroller_master._tcp.%s.' % domain, 'SRV')
  File "/usr/lib/python2.7/dist-packages/dns/resolver.py", line 858, in query
    raise_on_no_answer)
  File "/usr/lib/python2.7/dist-packages/dns/resolver.py", line 133, in __init__
    raise NoAnswer
NoAnswer

Version:
4.0-2 errata205 (Walle)
Comment 1 Stefan Gohmann univentionstaff 2015-08-06 07:34:52 CEST
Reported again:

Traceback (c56c59df25a822d731b9ec4dad990915):
Execution of command 'adconnector/admember/check_dcmaster_srv_rec' has failed:

Traceback (most recent call last):
  File "%PY2.7%/univention/management/console/base.py", line 282, in execute
    function(self, request)
  File "%PY2.7%/univention/management/console/modules/decorators.py", line 316, in _response
    result = _multi_response(self, request)
  File "%PY2.7%/univention/management/console/modules/decorators.py", line 460, in _response
    return list(function(self, iterator, *nones))
  File "%PY2.7%/univention/management/console/modules/decorators.py", line 282, in _fake_func
    yield function(self, *args)
  File "%PY2.7%/univention/management/console/modules/adconnector/__init__.py", line 574, in check_dcmaster_srv_rec
    result = self._check_dcmaster_srv_rec()
  File "%PY2.7%/univention/management/console/modules/adconnector/__init__.py", line 567, in _check_dcmaster_srv_rec
    if admember.get_domaincontroller_srv_record(ucr.get('domainname')):
  File "%PY2.7%/univention/lib/admember.py", line 1108, in get_domaincontroller_srv_record
    response = resolver.query('_domaincontroller_master._tcp.%s.' % domain, 'SRV')
  File "/usr/lib/python2.7/dist-packages/dns/resolver.py", line 858, in query
    raise_on_no_answer)
  File "/usr/lib/python2.7/dist-packages/dns/resolver.py", line 133, in __init__
    raise NoAnswer
NoAnswer


Remark:
after first insall

Version:
4.0-2 errata264 (Walle)
Comment 2 Florian Best univentionstaff 2015-08-31 08:30:36 CEST
Reported again, 4.0-3 errata292 (Walle)
Comment 3 Florian Best univentionstaff 2015-09-03 10:15:37 CEST
Reported again by the same UUID, 4.0-3 errata292 (Walle)

Why is it NoAnswer and not NXDomain?
Comment 4 Florian Best univentionstaff 2015-12-22 18:00:20 CET
Reported again, 4.0-2 errata193 (Walle)
Comment 5 Florian Best univentionstaff 2016-01-05 17:34:55 CET
Reported again, 4.0-4 errata377 (Walle)
Comment 6 Florian Best univentionstaff 2016-02-24 15:46:42 CET
Reported again, 4.1-1 errata121 (Vahr)
Comment 7 Florian Best univentionstaff 2016-03-16 06:18:18 CET
Reported again, 4.1-1 errata128 (Vahr)
Comment 8 Stefan Gohmann univentionstaff 2017-04-12 08:10:12 CEST
Move setup issues to 4.2-0-errata.
Comment 9 Florian Best univentionstaff 2017-04-18 11:52:39 CEST
Version: 4.1-3 errata278 (Vahr)
Comment 10 Florian Best univentionstaff 2017-04-21 11:54:54 CEST
Version: 4.1-4 errata360 (Vahr)
Comment 11 Florian Best univentionstaff 2017-04-21 12:20:00 CEST
Version: 4.1-4 errata389 (Vahr)

Remark: Error pops up after logging into UMC
Comment 12 Arvid Requate univentionstaff 2017-04-25 21:39:08 CEST
dns.resolver.query throws NoAnswer by default (raise_on_no_answer=True) if no definite answer is received.

univention.lib.admember.get_domaincontroller_srv_record now catches that too.

Advisory: univention-lib.yaml
Comment 13 Stefan Gohmann univentionstaff 2017-05-03 07:49:59 CEST
Code review: OK

Tests: OK

YAML: OK
Comment 14 Janek Walkenhorst univentionstaff 2017-05-03 15:16:13 CEST
<http://errata.software-univention.de/ucs/4.2/5.html>
Comment 15 Florian Best univentionstaff 2017-10-12 21:01:06 CEST
Version: 4.1-4 errata324 (Vahr)

Remark: how do I solve this?
Comment 16 Arvid Requate univentionstaff 2017-10-13 11:11:11 CEST
Re: Comment 15: this requests a backport or what's the intention of the comment here? If so, then please clone the bug, this one is dead and closed.
Comment 17 Florian Best univentionstaff 2017-10-13 11:52:25 CEST
(In reply to Arvid Requate from comment #16)
> Re: Comment 15: this requests a backport or what's the intention of the
> comment here? If so, then please clone the bug, this one is dead and closed.

I am just showing that it has been reported again. If there are very much reports for old versions then the maintainers of the specific component have the chance to decide to make a backport.
Comment 18 Arvid Requate univentionstaff 2017-10-17 17:54:25 CEST
> I am just showing that it has been reported again.

Yes, but please open a bug for 4.1-4 then, because this one is for 4.2.
Just clone it, as usual.